package com.ruoyi.system.domain.req;

import com.ruoyi.system.domain.TPatient;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * App端添加患者入参实体
 *
 * @author gongzhenkun
 * @date 2022/8/9 14:32
 */
@ApiModel(value = "AppPatientReq", description = "App端添加患者入参实体")
public class AppPatientReq extends TPatient
{
    @NotNull(message = "doctorId不为空")
    @ApiModelProperty("doctorId")
    private Long doctorId;

    @NotNull(message = "hospitalId不为空")
    @ApiModelProperty("hospitalId")
    private Long hospitalId;

    public Long getDoctorId()
    {
        return doctorId;
    }

    public void setDoctorId(Long doctorId)
    {
        this.doctorId = doctorId;
    }

    public Long getHospitalId()
    {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId)
    {
        this.hospitalId = hospitalId;
    }
}
